package org.bench4q.share.models.master;

import java.util.ArrayList;
import java.util.List;

import org.bench4q.share.models.monitor.MemoryModel;
import org.bench4q.share.models.monitor.NetworkInterfaceModel;
import org.bench4q.share.models.monitor.PhysicalDiskModel;
import org.bench4q.share.models.monitor.ProcessorModel;

public class MonitorResultContainerModel {
	private List<PhysicalDiskModel> logicalDiskModels;
	private List<MemoryModel> memoryModels;
	private List<ProcessorModel> processorModels;
	private List<NetworkInterfaceModel> netWorkModels;

	public List<PhysicalDiskModel> getLogicalDiskModels() {
		return logicalDiskModels;
	}

	public void setLogicalDiskModels(List<PhysicalDiskModel> logicalDiskModels) {
		this.logicalDiskModels = logicalDiskModels;
	}

	public List<MemoryModel> getMemoryModels() {
		return memoryModels;
	}

	public void setMemoryModels(List<MemoryModel> memoryModels) {
		this.memoryModels = memoryModels;
	}

	public List<ProcessorModel> getProcessorModels() {
		return processorModels;
	}

	public void setProcessorModels(List<ProcessorModel> processorModels) {
		this.processorModels = processorModels;
	}

	public List<NetworkInterfaceModel> getNetWorkModels() {
		return netWorkModels;
	}

	public void setNetWorkModels(List<NetworkInterfaceModel> netWorkModels) {
		this.netWorkModels = netWorkModels;
	}

	public MonitorResultContainerModel() {
		this.setLogicalDiskModels(new ArrayList<PhysicalDiskModel>());
		this.setMemoryModels(new ArrayList<MemoryModel>());
		this.setProcessorModels(new ArrayList<ProcessorModel>());
		this.setNetWorkModels(new ArrayList<NetworkInterfaceModel>());
	}
}
